
import os, bpy, bpy.ops, math, mathutils, ossl.util as util, bmesh
from mathutils import Vector
from rna_xml import rna2xml
import xml.etree.ElementTree as ET
from bpy.types import Operator
from ossl._types.Test.execute.analyze_saloon_windows import *

def execute_default():
    analyze_saloon_windows()
    print("execute default done\n")

###########################################################################################
###
### misc
###
###########################################################################################

class OSSL_OT_Test_execute_Default(bpy.types.Operator):
    """execute Default OSSL Test"""
    bl_label = "OSSL Menu Test execute Default"
    bl_idname = "ossl.test_execute_default"
    bl_options = { 'REGISTER' }

    def draw(self, context):
        layout = self.layout

    @classmethod
    def poll(cls, context):
        return True
    
    def execute(self, context):
        execute_default()
        return {'FINISHED'}

def OSSL_operator_Test_execute_Default(self, comtext):
    self.layout.operator(OSSL_OT_Test_execute_Default.bl_idname, text="default", icon='BLENDER')

import ossl.util as util

def register():
    print("registering: OSSL Type Test Execute Default")
    bpy.utils.register_class(OSSL_OT_Test_execute_Default)
    bpy.types.OSSL_MT_Test_execute.append(OSSL_operator_Test_execute_Default)
    print("registered: OSSL Type Test Execute Default")

def unregister():
    print("unregistering: OSSL Type Test Execute Default")
    bpy.types.OSSL_MT_Test_execute.remove(OSSL_operator_Test_execute_Default)
    bpy.utils.unregister_class(OSSL_OT_Test_execute_Default)
    print("unregistered: OSSL Type Test Execute Default")

if __name__ == "__main__":
    import ossl.util as util
    util.reset_addon()
